## vala-panel 0.4.63+dfsg1

=== ui/CMakeLists.txt ===
set(ENUM_FILES
        panel-platform.h
        settings-manager.c
        )
add_glib_enumtypes(ENUMSC ENUMSH vala-panel-enums ${ENUM_FILES})
set(LIBVALAPANEL_HEADERS
    client.h
    server.h
    definitions.h
    applet-widget-api.h
    applet-widget.h
    settings-manager.h
    panel-platform.h
    toplevel.h
    toplevel-config.h
    applet-plugin.h
    applet-info.h
    panel-layout.h
    ${ENUMSH})
set(LIBVALAPANEL_C_SOURCES
    toplevel-config.c
    settings-manager.c
    panel-platform.c
    applet-widget.c
    toplevel.c
    applet-plugin.c
    applet-info.c
    applet-manager.c
    panel-layout.c
    ${ENUMSC})

glib_compile_resources(GLIB_RESOURCES_LIB
    source
        libvalapanel.gresource.xml
)

#####
# Core Library
#####

# Build library for plugins and application
add_custom_target(vala-ide-lib SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/${APPNAME}.vapi)
add_library (${LIBNAME} SHARED
    ${LIBVALAPANEL_C_SOURCES}
    ${LIBVALAPANEL_HEADERS}
    ${GLIB_RESOURCES_LIB}
    definitions.h
)

target_link_libraries (${LIBNAME} util-gtk)
target_include_directories(${LIBNAME} PRIVATE ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${CMAKE_SOURCE_DIR}/util; ${CMAKE_SOURCE_DIR}/ui ${CMAKE_SOURCE_DIR}/util/gtk ${CMAKE_BINARY_DIR}/ui)

set_target_properties (${LIBNAME} PROPERTIES
    VERSION ${VERSION}
    SOVERSION ${SOVERSION})

install (TARGETS ${LIBNAME} DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT bin)

# Install lib stuffs
install (FILES ${CMAKE_BINARY_DIR}/${APPNAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/ COMPONENT dev)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/${APPNAME}.vapi DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/vala/vapi/ COMPONENT dev)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/${APPNAME}.deps DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/vala/vapi/ COMPONENT dev)
install (FILES ${LIBVALAPANEL_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/vala-panel/ COMPONENT dev)

add_feature_info(Toplevel ON "ValaPanel applets and panels framework")

=== applets/core/clock/CMakeLists.txt ===
set(PLUGIN_NAME clock)
set(VALA_FILES ${PLUGIN_NAME}.vala)
vala_precompile(VALA_C ${PLUGIN_NAME}
    ${VALA_FILES}
PACKAGES
    ${CORE_PACKAGES}
    vala-panel
OPTIONS
    --vapidir=${CMAKE_SOURCE_DIR}/vapi
    --vapidir=${CMAKE_SOURCE_DIR}/ui
    --vapidir=${CMAKE_BINARY_DIR}/vapi
    --target-glib=2.50
    --gresources=${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN_NAME}.gresource.xml
    --thread
)
#####
# Plugin Library
#####

# Build library for plugin
add_library (${PLUGIN_NAME} MODULE
    ${VALA_C}
    ${RESOURCES}
)
target_link_libraries (${PLUGIN_NAME} valapanel)
add_custom_target(vala-ide-${PLUGIN_NAME} SOURCES ${VALA_FILES})

# Install plugin stuffs
install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGINS_DIRECTORY} COMPONENT plugins-base)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}.plugin DESTINATION ${PLUGINS_DATA} COMPONENT plugins-base)

=== applets/core/dirmenu/CMakeLists.txt ===
set(PLUGIN_NAME dirmenu)
set(VALA_FILES ${PLUGIN_NAME}.vala)
vala_precompile(VALA_C ${PLUGIN_NAME}
    ${VALA_FILES}
PACKAGES
    ${CORE_PACKAGES}
    vala-panel
OPTIONS
    --vapidir=${CMAKE_SOURCE_DIR}/vapi
    --vapidir=${CMAKE_SOURCE_DIR}/ui
    --vapidir=${CMAKE_BINARY_DIR}/vapi
    --target-glib=2.50
    --gresources=${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN_NAME}.gresource.xml
    --thread
)
#####
# Plugin Library
#####

# Build library for plugin
add_library (${PLUGIN_NAME} MODULE
    ${VALA_C}
    ${RESOURCES}
)

target_link_libraries (${PLUGIN_NAME} valapanel)
add_custom_target(vala-ide-${PLUGIN_NAME} SOURCES ${VALA_FILES})

# Install plugin stuffs
install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGINS_DIRECTORY} COMPONENT plugins-base)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}.plugin DESTINATION ${PLUGINS_DATA} COMPONENT plugins-base)

=== applets/core/kbled/CMakeLists.txt ===
set(PLUGIN_NAME kbled)
if(GTK314_FOUND)
    set(GTK314_DEFINE -D GTK314)
endif()
set(VALA_FILES ${PLUGIN_NAME}.vala)
vala_precompile(VALA_C ${PLUGIN_NAME}
    ${VALA_FILES}
PACKAGES
    ${CORE_PACKAGES}
    vala-panel
OPTIONS
    --vapidir=${CMAKE_SOURCE_DIR}/vapi
    --vapidir=${CMAKE_SOURCE_DIR}/ui
    --vapidir=${CMAKE_BINARY_DIR}/vapi
    --target-glib=2.50
    --gresources=${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN_NAME}.gresource.xml
    --thread
    ${GTK314_DEFINE}
)
#####
# Plugin Library
#####

# Build library for plugin
set (LIBS ${CORE_LIBRARIES} -lm)
set (LIB_PATHS ${CORE_LIBRARY_DIRS})
link_directories (${LIB_PATHS})
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
INCLUDE(GLibProgramHandlers)
glib_compile_resources(RESOURCES
    source
	${PLUGIN_NAME}.gresource.xml
)

add_library (${PLUGIN_NAME} MODULE
    ${VALA_C}
    ${RESOURCES}
)

target_link_libraries (${PLUGIN_NAME} valapanel)
add_custom_target(vala-ide-${PLUGIN_NAME} SOURCES ${VALA_FILES})

# Install plugin stuffs
install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGINS_DIRECTORY} COMPONENT plugins-base)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}.plugin DESTINATION ${PLUGINS_DATA} COMPONENT plugins-base)

=== applets/core/launchbar/CMakeLists.txt ===
set(PLUGIN_NAME launchbar)
set(VALA_FILES
	${PLUGIN_NAME}.vala
	${PLUGIN_NAME}-config.vala
	${PLUGIN_NAME}-button.vala)
vala_precompile(VALA_C ${PLUGIN_NAME}
	${VALA_FILES}
    PACKAGES
	${CORE_PACKAGES}
	vala-panel
    OPTIONS
	--vapidir=${CMAKE_SOURCE_DIR}/vapi
        --vapidir=${CMAKE_SOURCE_DIR}/ui
        --vapidir=${CMAKE_BINARY_DIR}/vapi
        --target-glib=2.50
	--gresources=${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN_NAME}.gresource.xml
	--thread
    )
#####
# Plugin Library
#####
glib_compile_resources(RESOURCES
    source
        ${PLUGIN_NAME}.gresource.xml
)

# Build library for plugin
add_library (${PLUGIN_NAME} MODULE
    ${VALA_C}
    ${RESOURCES}
)

target_link_libraries (${PLUGIN_NAME} valapanel)
add_custom_target(vala-ide-${PLUGIN_NAME} SOURCES ${VALA_FILES})

# Install plugin stuffs
install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGINS_DIRECTORY} COMPONENT plugins-base)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}.plugin DESTINATION ${PLUGINS_DATA} COMPONENT plugins-base)

=== applets/core/menumodel/CMakeLists.txt ===
set(PLUGIN_NAME menumodel)
set(VALA_FILES ${PLUGIN_NAME}.vala
	menu-maker.vala)
vala_precompile(VALA_C ${PLUGIN_NAME}
	${VALA_FILES}
PACKAGES
    ${CORE_PACKAGES}
    vala-panel
OPTIONS
    --vapidir=${CMAKE_SOURCE_DIR}/vapi
    --vapidir=${CMAKE_SOURCE_DIR}/ui
    --vapidir=${CMAKE_BINARY_DIR}/vapi
    --vapidir=${CMAKE_CURRENT_SOURCE_DIR}
    --target-glib=2.44
    --gresources=${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN_NAME}.gresource.xml
    --thread
)
#####
# Plugin Library
#####
INCLUDE(GLibProgramHandlers)
glib_compile_resources(RESOURCES
    source
        ${PLUGIN_NAME}.gresource.xml
)

# Build library for plugin
add_library (${PLUGIN_NAME} MODULE
    ${VALA_C}
    ${RESOURCES}
)

target_link_libraries (${PLUGIN_NAME} valapanel)
add_custom_target(vala-ide-${PLUGIN_NAME} SOURCES ${VALA_FILES})

# Install plugin stuffs
install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGINS_DIRECTORY} COMPONENT plugins-base)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}.plugin DESTINATION ${PLUGINS_DATA} COMPONENT plugins-base)

=== applets/core/separator/CMakeLists.txt ===
set(PLUGIN_NAME separator)
set(VALA_FILES ${PLUGIN_NAME}.vala)
vala_precompile(VALA_C ${PLUGIN_NAME}
    ${VALA_FILES}
PACKAGES
    ${CORE_PACKAGES}
    vala-panel
OPTIONS
    --vapidir=${CMAKE_SOURCE_DIR}/vapi
    --vapidir=${CMAKE_SOURCE_DIR}/ui
    --vapidir=${CMAKE_BINARY_DIR}/vapi
    --target-glib=2.50
    --gresources=${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN_NAME}.gresource.xml
    --thread
)
#####
# Plugin Library
#####

# Build library for plugin
add_library (${PLUGIN_NAME} MODULE
    ${VALA_C}
    ${RESOURCES}
)

target_link_libraries (${PLUGIN_NAME} valapanel)
add_custom_target(vala-ide-${PLUGIN_NAME} SOURCES ${VALA_FILES})

# Install plugin stuffs
install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGINS_DIRECTORY} COMPONENT plugins-base)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}.plugin DESTINATION ${PLUGINS_DATA} COMPONENT plugins-base)

=== applets/wnck/buttons/CMakeLists.txt ===
set(PLUGIN_NAME buttons)
set(VALA_FILES ${PLUGIN_NAME}.vala)
vala_precompile(VALA_C ${PLUGIN_NAME}
    ${VALA_FILES}
PACKAGES
    ${CORE_PACKAGES}
    vala-panel
    libwnck-3.0
    gdk-x11-3.0
OPTIONS
    --vapidir=${CMAKE_SOURCE_DIR}/vapi
    --vapidir=${CMAKE_SOURCE_DIR}/ui
    --vapidir=${CMAKE_BINARY_DIR}/vapi
    --target-glib=2.50
    --gresources=${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN_NAME}.gresource.xml
    --thread
)
#####
# Plugin Library
#####

# Build library for plugin
add_library (${PLUGIN_NAME} MODULE
    ${VALA_C}
    ${RESOURCES}
)

target_link_libraries (${PLUGIN_NAME} WNCK::WNCK valapanel)
add_custom_target(vala-ide-${PLUGIN_NAME} SOURCES ${VALA_FILES})

# Install plugin stuffs
install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGINS_DIRECTORY} COMPONENT plugins-wnck)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}.plugin DESTINATION ${PLUGINS_DATA} COMPONENT plugins-wnck)

=== applets/wnck/deskno/CMakeLists.txt ===
set(PLUGIN_NAME deskno)
set(VALA_FILES ${PLUGIN_NAME}.vala)
vala_precompile(VALA_C ${PLUGIN_NAME}
    ${VALA_FILES}
PACKAGES
    ${CORE_PACKAGES}
    vala-panel
    libwnck-3.0
    gdk-x11-3.0
OPTIONS
    --vapidir=${CMAKE_SOURCE_DIR}/vapi
    --vapidir=${CMAKE_SOURCE_DIR}/ui
    --vapidir=${CMAKE_BINARY_DIR}/vapi
    --target-glib=2.50
    --gresources=${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN_NAME}.gresource.xml
    --thread
)
#####
# Plugin Library
#####

# Build library for plugin
add_library (${PLUGIN_NAME} MODULE
    ${VALA_C}
    ${RESOURCES}
)

target_link_libraries (${PLUGIN_NAME} WNCK::WNCK valapanel)
add_custom_target(vala-ide-${PLUGIN_NAME} SOURCES ${VALA_FILES})

# Install plugin stuffs
install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGINS_DIRECTORY} COMPONENT plugins-wnck)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}.plugin DESTINATION ${PLUGINS_DATA} COMPONENT plugins-wnck)

=== applets/wnck/pager/CMakeLists.txt ===
set(PLUGIN_NAME pager)
set(VALA_FILES ${PLUGIN_NAME}.vala)
vala_precompile(VALA_C ${PLUGIN_NAME}
    ${VALA_FILES}
PACKAGES
    ${CORE_PACKAGES}
    vala-panel
    libwnck-3.0
    gdk-x11-3.0
OPTIONS
    --vapidir=${CMAKE_SOURCE_DIR}/vapi
    --vapidir=${CMAKE_SOURCE_DIR}/ui
    --vapidir=${CMAKE_BINARY_DIR}/vapi
    --target-glib=2.50
    --gresources=${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN_NAME}.gresource.xml
    --thread
)
#####
# Plugin Library
#####
add_library (${PLUGIN_NAME} MODULE
    ${VALA_C}
    ${RESOURCES}
)

target_link_libraries (${PLUGIN_NAME} WNCK::WNCK valapanel)
add_custom_target(vala-ide-${PLUGIN_NAME} SOURCES ${VALA_FILES})

# Install plugin stuffs
install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGINS_DIRECTORY} COMPONENT plugins-wnck)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}.plugin DESTINATION ${PLUGINS_DATA} COMPONENT plugins-wnck)

=== applets/wnck/wincmd/CMakeLists.txt ===
set(PLUGIN_NAME wincmd)
set(VALA_FILES ${PLUGIN_NAME}.vala)
vala_precompile(VALA_C ${PLUGIN_NAME}
    ${VALA_FILES}
PACKAGES
    ${CORE_PACKAGES}
    vala-panel
    libwnck-3.0
    gdk-x11-3.0
OPTIONS
    --vapidir=${CMAKE_SOURCE_DIR}/vapi
    --vapidir=${CMAKE_SOURCE_DIR}/ui
    --vapidir=${CMAKE_BINARY_DIR}/vapi
    --target-glib=2.50
    --gresources=${CMAKE_CURRENT_SOURCE_DIR}/${PLUGIN_NAME}.gresource.xml
    --thread
)
#####
# Plugin Library
#####

# Build library for plugin
add_library (${PLUGIN_NAME} MODULE
    ${VALA_C}
    ${RESOURCES}
)

target_link_libraries (${PLUGIN_NAME} WNCK::WNCK valapanel)
add_custom_target(vala-ide-${PLUGIN_NAME} SOURCES ${VALA_FILES})

# Install plugin stuffs
install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGINS_DIRECTORY} COMPONENT plugins-wnck)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}.plugin DESTINATION ${PLUGINS_DATA} COMPONENT plugins-wnck)

=== debian/changelog ===
vala-panel (0.4.63+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/vala-panel-plugins-wnck.install:
    + The tasklist plugin has been dropped by upstream due to non-LGPL licensed
      code.
    + The tasklist-xfce plugin has been renamed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Sep 2018 09:19:29 +0200

vala-panel (0.4.62+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/vala-panel-plugins-wnck.install:
    + Some plugins dropped (moved to an extra package because of non-wanted
      licenses (by upstream author)).
  * debian/libvalapanel0.symbols: Update symbols.
  * debian/patches:
    + Drop 0001_CMakeLists-txt-allow-building-without-submodule.patch. Applied
      upstream.
  * debian/control:
    + Bump Standards-Version: to 4.2.1. No changes needed
  * debian/rules:
    + Remove .git config files and GitLab CI config files from orig tarball.
  * debian/copyright:
    + Update auto-generated copyright.in template.file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 03 Sep 2018 09:36:13 +0200

vala-panel (0.4.61+repack1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.
    + Add B-D: cmake-vala.
  * debian/patches:
    + Add 0001_CMakeLists-txt-allow-building-without-submodule.patch. Utilize
      system-wide available cmake-vala for building.
    + Add 2001_no-GitVersion-for-Debian-packaging.patch. Don't try to detect
      the upstream version from Git tags.
  * debian/rules:
    + Repack orig tarball (and drop bundled cmake-vala from cmake subfolder).
    + Use dh_missing instead of dh_install, switch from --list-missing to
      --fail-missing.
    + Create cmake/FallbackVersion.cmake from Debian package version.
    + Drop man page hack for vala-panel-runner, now correctly shipped upstream.
  * debian/copyright:
    + Explain in Comment: field, why we repack the orig tarball.
    + Update copyright attributions
    + Update auto-generated copyright.in file.
  * debian/vala-panel-common.install:
    + Add vala-panel-runner.1.
  * debian/vala-panel-plugins-*.install:
    + Move .plugin files to DATADIR (rather than LIBDIR).
  * debian/libvalapanel0.symbols:
    + Update symbols.
  * debian/vala-panel-runner.1.sgml:
    + Drop file, now shipped upstream.
  * debian/watch:
    + Update upstream URL (upstream moved to GitLab).
    + Add dversionmangle option due to tarball repacking.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Aug 2018 10:16:15 +0200

vala-panel (0.3.75-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.
  * debian/watch:
    + Update upstream URL (upstream moved to GitLab). (We don't package
      the latest upstream release now, due to some discussion with upstream).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Aug 2018 19:46:38 +0200

=== debian/control ===
Source: vala-panel
Section: x11
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
 Martin Wimpress <martin.wimpress@ubuntu.com>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake (>= 2.8.0),
               cmake-vala,
               debhelper (>= 11~),
               docbook-to-man,
               libgtk-3-dev (>= 3.22.0),
               libpeas-dev (>= 1.2.0),
               libwnck-3-dev (>= 3.4.0),
               valac (>= 0.34.0),
Standards-Version: 4.2.1
Homepage: https://github.com/rilian-la-te/vala-panel
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/vala-panel.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/vala-panel

Package: vala-panel
Architecture: any
Depends: libvalapanel0 (= ${binary:Version}),
         vala-panel-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: vala-panel-plugins-base,
Suggests: vala-panel-plugins-wnck,
Description: Desktop panel written in Vala and GTK+ 3
 Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
 written in Vala and based on ideas from LXPanel.
 .
 Vala Panel can be extended with plugins that provide application menus,
 clock, tasklist, system tray, etc.

Package: vala-panel-common
Architecture: all
Depends: ${misc:Depends},
Description: Vala Panel - common files
 Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
 written in Vala and based on ideas from LXPanel.
 .
 This package provides common files.

Package: libvalapanel0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: vala-panel-appmenu (<< 0.6.80),
Description: library for Vala Panel
 Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
 written in Vala and based on ideas from LXPanel.
 .
 This package contains the Vala Panel library.

Package: libvalapanel-dev
Section: libdevel
Architecture: any
Depends: libvalapanel0 (= ${binary:Version}),
         ${misc:Depends},
Description: library for Vala Panel - development files
 Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
 written in Vala and based on ideas from LXPanel.
 .
 This package contains header files for building plugins or window
 managers with vala-panel support.

Package: vala-panel-plugins-base
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: vala-panel (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plugins for vala-panel - non-X11 plugins
 Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
 written in Vala and based on ideas from LXPanel.
 .
 This package contains main plugins for vala-panel: clock, launchbar,
 applications menu and so on.

Package: vala-panel-plugins-wnck
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: vala-panel (= ${binary:Version}),
         libx11-6,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plugins for vala-panel - X11 plugins
 Vala Panel is a rewrite of SimplePanel. It is a GTK+ 3 desktop panel
 written in Vala and based on ideas from LXPanel.
 .
 This package contains X11 plugins for vala-panel: tasklist,
 system tray, and others.

## vala-panel 0.4.87+dfsg1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.3)
cmake_policy (VERSION 3.3)
project (vala-panel C)
enable_testing ()
include(GNUInstallDirs)
include(FeatureSummary)
set (DATADIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/vala-panel")
set (PKGDATADIR "${DATADIR}")
set (GETTEXT_PACKAGE "vala-panel")
set (RELEASE_NAME "Simple Vala panel")
set (LIBNAME "valapanel")
set (APPNAME "vala-panel")
set (SOVERSION 0)
set (PLUGINS_DIRECTORY "${CMAKE_INSTALL_FULL_LIBDIR}/${CMAKE_PROJECT_NAME}/applets/")
set (PLUGINS_DATA "${DATADIR}/applets/")
set (PROFILES_DIR "${CMAKE_INSTALL_FULL_SYSCONFDIR}/xdg/${APPNAME}")
if(EXISTS ${CMAKE_SOURCE_DIR}/cmake/VCMSubmodule.cmake)
    include(${CMAKE_SOURCE_DIR}/cmake/VCMSubmodule.cmake)
    use_vcm(${CMAKE_SOURCE_DIR}/cmake)
else()
    find_package(VCM REQUIRED NO_MODULE)
    list(APPEND CMAKE_MODULE_PATH ${VCM_MODULE_PATH})
endif()
include(GitVersion)
determine_fallback_version(${CMAKE_SOURCE_DIR}/cmake)
include(${CMAKE_SOURCE_DIR}/cmake/FallbackVersion.cmake)
include(Format)

# Add 'make dist' command for creating release tarball
set (CPACK_PACKAGE_VERSION ${VERSION})
set (CPACK_PACKAGE_VERSION_MAJOR "${VERSION_MAJOR}")
set (CPACK_PACKAGE_VERSION_MINOR "${VERSION_MINOR}")
set (CPACK_PACKAGE_VERSION_PATCH "${VERSION_PATCH}")
set (CPACK_SOURCE_GENERATOR "TXZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
set (CPACK_SOURCE_IGNORE_FILES "/build/;/.git;/.gitignore;/.gitmodules;~$;${CPACK_SOURCE_IGNORE_FILES}")

# Variables for CPack binary packages
set (CPACK_PACKAGE_NAME ${CMAKE_PROJECT_NAME})
set (CPACK_PACKAGE_RELEASE "1")
set (CPACK_PACKAGE_CONTACT "Konstantin P. <ria.freelander@gmail.com>")
set (CPACK_PACKAGE_DESCRIPTION_SUMMARY "Vala Panel is GTK+ 3 desktop panel. It is based on Vala and some LXPanel ideas.")
set (CPACK_PACKAGE_DESCRIPTION "Vala Panel is GTK+ 3 desktop panel. It is based on Vala and LXPanel ideas.\nIn fact, it was be a fork of LXPanel in version 0.1.0, but in 0.2.0 it completery rewritten in Vala.\nIt offers same functionality as LXPanel, but:\n1. It has slightly more memory usage\n2. X11 dependency is stripped from panel core (but it is not tested on Wayland right now)\n3. Some of former LXPanel plugins is separate binaries now, and lives in another packages.")
set (CPACK_COMPONENTS_ALL "bin;lib;dev;plugins-base;plugins-wnck")
set (CPACK_COMPONENT_bin_DEPENDS "lib")
set (CPACK_COMPONENT_dev_DEPENDS "lib")
set (CPACK_COMPONENT_plugins-base_DEPENDS "lib")
set (CPACK_COMPONENT_plugins-wnck_DEPENDS "lib")

# Variables and functions for building deb packages
set (CPACK_DEB_COMPONENT_INSTALL ON)
set (CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
set (CPACK_DEBIAN_PACKAGE_SECTION "x11")
set (CPACK_DEBIAN_PACKAGE_REVISION ${CPACK_PACKAGE_RELEASE})
string(TOLOWER "${CPACK_PACKAGE_NAME}" CPACK_PACKAGE_NAME_LOWERCASE)
find_program(DPKG_PROGRAM dpkg DOC "dpkg program of Debian-based systems")
if(DPKG_PROGRAM)
   execute_process(COMMAND ${DPKG_PROGRAM} --print-architecture
      OUTPUT_VARIABLE CPACK_DEBIAN_PACKAGE_ARCHITECTURE
      OUTPUT_STRIP_TRAILING_WHITESPACE)
   set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME_LOWERCASE}-${VERSION}-${CPACK_DEBIAN_PACKAGE_REVISION}_${CPACK_DEBIAN_PACKAGE_ARCHITECTURE}")
else(DPKG_PROGRAM)
    set(CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME_LOWERCASE}-${VERSION}-${CPACK_DEBIAN_PACKAGE_REVISION}_${CMAKE_SYSTEM_NAME}")
endif(DPKG_PROGRAM)

# Add 'make packages' command for building Debian and RPM packages
set (CPACK_GENERATOR "DEB")
include (CPack)

#Add RPM build support
include (UseRPMTools)
if (RPMTools_FOUND)
   RPMTools_ADD_RPM_TARGETS(package ${CMAKE_SOURCE_DIR}/rpm/vala-panel.spec.in)
endif(RPMTools_FOUND)

add_custom_target (dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
# Configuration
configure_file (${CMAKE_SOURCE_DIR}/util/config.h.in ${CMAKE_BINARY_DIR}/config.h)
configure_file (${CMAKE_SOURCE_DIR}/${APPNAME}.pc.cmake ${CMAKE_BINARY_DIR}/${APPNAME}.pc @ONLY)

# Some definitions
add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")

# Vala
find_package (Vala 0.34 REQUIRED)
include (ValaPrecompile)

add_definitions(-DVALA_VERSION="${VALA_SHORTVER}")
#add_definitions(-w) #Suppress all GCC warnings
add_definitions(-Wall -Wextra
                -Wno-unused
                -Wno-unused-parameter# Vala loves to create variables
               #-pedantic
                -Wno-ignored-qualifiers
                -Wno-incompatible-pointer-types
                -Wno-missing-field-initializers
                -Wno-sign-compare
                ) #Vala often forgot cast to GtkWidget or gpointer
find_package (PkgConfig)
find_package(GLIB2 2.56 REQUIRED COMPONENTS GOBJECT GIO GIO_UNIX GMODULE GTHREAD CODEGEN MKENUMS GENMARSHAL COMPILE_SCHEMAS COMPILE_RESOURCES)
include(GLibProgramHandlers)
find_package(GTK 3.22 REQUIRED COMPONENTS GDK X11 WAYLAND)

set(CORE_PACKAGES
  gtk+-3.0
  glib-2.0
  gio-2.0
  gio-unix-2.0
  gmodule-2.0
  gio-addons-2.0
  posix)


ADD_SUBDIRECTORY(po)
ADD_SUBDIRECTORY(util)
ADD_SUBDIRECTORY(runner)
ADD_SUBDIRECTORY(ui)
ADD_SUBDIRECTORY(app)
ADD_SUBDIRECTORY(applets)
ADD_SUBDIRECTORY(data)

feature_summary(WHAT ALL)

=== app/CMakeLists.txt ===
glib_compile_resources(GLIB_RESOURCES_APP
    source
        vala-panel.gresource.xml
)

#####
# Executable
#####

add_feature_info(Application ON "ValaPanel main application")
add_feature_info(PlatformX11 ON "ValaPanel X11 backend")

set(APP_SOURCES
        ${GLIB_RESOURCES_APP}
	vala-panel-platform-standalone-x11.c
	vala-panel-platform-standalone-x11.h
        application.c application.h)
add_executable(${APPNAME}  ${APP_SOURCES} )
target_link_libraries (${APPNAME} ${LIBNAME})
target_include_directories(${APPNAME} PRIVATE
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${CMAKE_SOURCE_DIR}/ui
    ${CMAKE_SOURCE_DIR}/util
    ${CMAKE_SOURCE_DIR}/util/gtk
    ${CMAKE_BINARY_DIR}/ui)

install (TARGETS ${APPNAME} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT bin)

=== applets/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/util ${CMAKE_SOURCE_DIR}/ui ${CMAKE_BINARY_DIR}/ui ${CMAKE_SOURCE_DIR}/util/gtk ${CMAKE_BINARY_DIR})
add_subdirectory(core)
add_subdirectory(drawing)
add_feature_info(CoreApplets ON "ValaPanel core applets (clock,menumodel,launchbar,separator)")
add_subdirectory(wnck)

=== po/CMakeLists.txt ===
include(Translations)
add_translations_directory("vala-panel" "bin")
add_translations_catalog("vala-panel"
    ../util
    ../ui
    ../app
    ../data/ui
    ../data/desktop
    ../applets
    ../runner
)

=== runner/CMakeLists.txt ===
INCLUDE(GLibProgramHandlers)
set(RUNNER_SOURCES
	runner.c
	runner.h
        runner-app.c
        runner-app.h
	)
add_definitions(-DG_SETTINGS_ENABLE_BACKEND)
glib_compile_resources(GLIB_RESOURCES_APP
    source
        runner.gresource.xml
)

#####
# Executable
#####

add_feature_info(Runner ON "Simple run dialog based on ValaPanel library")

add_executable(${APPNAME}-runner
	${GLIB_RESOURCES_APP}
	${RUNNER_SOURCES})
add_dependencies(${APPNAME}-runner util-gtk)
target_link_libraries(${APPNAME}-runner util-gtk GTK3::GTK GLIB2::GIO_UNIX GLIB2::GOBJECT m)
target_include_directories(${APPNAME}-runner PRIVATE ${CMAKE_SOURCE_DIR}/util ${CMAKE_SOURCE_DIR}/util/gtk ${CMAKE_BINARY_DIR})
install (TARGETS ${APPNAME}-runner RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT runner)

=== ui/CMakeLists.txt ===
--- 
+++ 
@@ -45,6 +45,8 @@
     ${LIBVALAPANEL_HEADERS}
     ${GLIB_RESOURCES_LIB}
     definitions.h
+    private.h
+    applet-manager.h
 )
 
 target_link_libraries (${LIBNAME} util-gtk)

=== util/CMakeLists.txt ===
set(UTIL_HEADERS
    boxed-wrapper.h
    glistmodel-filter.h
    constants.h
    misc.h
    info-data.h
    launcher.h
    util.h
    )
set(UTIL_SOURCES
    boxed-wrapper.c
    glistmodel-filter.c
    misc.c
    info-data.c
    launcher.c)

#####
# Core Library
#####

add_library (util STATIC
    ${UTIL_SOURCES}
    ${UTIL_HEADERS}
    ${CMAKE_BINARY_DIR}/config.h
    ${GLIB_RESOURCES_LIB}
)

target_link_libraries (util GLIB2::GIO_UNIX GLIB2::GOBJECT)
target_include_directories(util PRIVATE ${CMAKE_CURRENT_SOURCE_DIR} ${CORE_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}/util)

set_target_properties (util PROPERTIES
    VERSION ${VERSION}
    SOVERSION ${SOVERSION}
    POSITION_INDEPENDENT_CODE ON)

add_subdirectory(gtk)

install (FILES ${UTIL_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/vala-panel/ COMPONENT dev)
install (FILES ${CMAKE_BINARY_DIR}/config.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/vala-panel/ RENAME vala-panel-configuration.h COMPONENT dev)

add_feature_info(Toplevel ON "ValaPanel utility library")

=== applets/drawing/CMakeLists.txt ===
option(ENABLE_DRAWING "Enables drawing plugins, like CPU Graph plot" ON)

if (ENABLE_DRAWING)
    add_subdirectory(cpu)
    add_subdirectory(monitors)
    add_subdirectory(netmon)
endif()

=== data/man/CMakeLists.txt ===
install (FILES vala-panel.1 DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/man/man1 COMPONENT bin)
install (FILES vala-panel-runner.1 DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/man/man1 COMPONENT runner)

=== applets/core/clock/CMakeLists.txt ===
--- 
+++ 
@@ -27,4 +27,4 @@
 
 # Install plugin stuffs
 install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGINS_DIRECTORY} COMPONENT plugins-base)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}.plugin DESTINATION ${PLUGINS_DATA} COMPONENT plugins-base)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.valapanel.${PLUGIN_NAME}.plugin DESTINATION ${PLUGINS_DATA} COMPONENT plugins-base)

=== applets/core/dirmenu/CMakeLists.txt ===
--- 
+++ 
@@ -28,4 +28,4 @@
 
 # Install plugin stuffs
 install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGINS_DIRECTORY} COMPONENT plugins-base)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}.plugin DESTINATION ${PLUGINS_DATA} COMPONENT plugins-base)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.valapanel.${PLUGIN_NAME}.plugin DESTINATION ${PLUGINS_DATA} COMPONENT plugins-base)

=== applets/core/kbled/CMakeLists.txt ===
--- 
+++ 
@@ -42,4 +42,4 @@
 
 # Install plugin stuffs
 install(TARGETS ${PLUGIN_NAME} DESTINATION ${PLUGINS_DIRECTORY} COMPONENT plugins-base)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PLUGIN_NAME}.plugin DESTINATION ${PLUGINS_DATA} COMPONENT plugins-base)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.valapanel.${PLUGIN_NAME}.plugin DESTINATION ${PLUGINS_DATA} COMPONENT plugins-base)

=== debian/changelog ===
vala-panel (0.4.87+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
  * debian/vala-panel-plugins-base.install:
    + New applet: netmon.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 27 Feb 2019 12:17:27 +0100

vala-panel (0.4.86+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/libvalapanel0.symbols:
    + Update symbols.
  * debian/vala-panel-plugins-*.install:
    + Plugin files got renamed, so adjust.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Dec 2018 00:05:34 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libpeas-dev (>= 1.2.0),
                libwnck-3-dev (>= 3.4.0),
                valac (>= 0.34.0),
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/rilian-la-te/vala-panel
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/vala-panel.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/vala-panel

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

PKD        = $(word 1,$(abspath $(dir $(MAKEFILE_LIST))))
PKG        = $(DEB_SOURCE)
UVER       = $(shell echo $(DEB_VERSION) | cut -d "-" -f1)
DTYPE      = +dfsg1
VER       ?= $(subst $(DTYPE),,$(UVER))

VER_MAJOR = $(shell echo $(VER) | cut -d "." -f1)
VER_MINOR = $(shell echo $(VER) | cut -d "." -f2)
VER_PATCH = $(shell echo $(VER) | cut -d "." -f3)

DHFLAGS=--buildsystem=cmake
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ $(DHFLAGS)

override_dh_auto_configure:
	mkdir -p "$(CURDIR)/cmake/"
	sed -e 's/@VERSION@/$(VER)/'			\
	    -e 's/@VERSION_MAJOR@/$(VER_MAJOR)/'	\
	    -e 's/@VERSION_MINOR@/$(VER_MINOR)/'	\
	    -e 's/@VERSION_PATCH@/$(VER_PATCH)/'	\
	   $(CURDIR)/cmake/FallbackVersion.cmake.in > $(CURDIR)/cmake/FallbackVersion.cmake
	dh_auto_configure $(DHFLAGS) -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DGSETTINGS_COMPILE=OFF \
		-DENABLE_WNCK=ON

override_dh_auto_build:
	dh_auto_build $(DHFLAGS)

override_dh_missing:
	dh_missing --fail-missing

override_dh_clean:
	rm -f $(CURDIR)/cmake/FallbackVersion.cmake
	dh_clean

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
	    && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
	    || $(RM) -r $(PKG)-$(VER)
	@echo "# Cleaning-up..."
	cd $(PKG)-$(VER) \
	   && $(RM) -r -v \
	        cmake/ \
	        .git*
	$(RM) -v $(PKG)_$(VER).orig.tar.*
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
	    | XZ_OPT="-6v" tar -caf "../$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	    && $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg1// \
https://gitlab.com/vala-panel-project/vala-panel/tags .*/vala-panel-(\d\S+)\.tar\.gz

## vala-panel 0.4.89

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 enable_testing ()
 include(GNUInstallDirs)
 include(FeatureSummary)
-set (DATADIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/vala-panel")
-set (PKGDATADIR "${DATADIR}")
+set (DATADIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/${CMAKE_PROJECT_NAME}")
+set (LOCALE_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/locale")
 set (GETTEXT_PACKAGE "vala-panel")
 set (RELEASE_NAME "Simple Vala panel")
 set (LIBNAME "valapanel")
@@ -76,6 +76,7 @@
 add_custom_target (dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
 # Configuration
 configure_file (${CMAKE_SOURCE_DIR}/util/config.h.in ${CMAKE_BINARY_DIR}/config.h)
+configure_file (${CMAKE_SOURCE_DIR}/util/version.h.in ${CMAKE_BINARY_DIR}/version.h)
 configure_file (${CMAKE_SOURCE_DIR}/${APPNAME}.pc.cmake ${CMAKE_BINARY_DIR}/${APPNAME}.pc @ONLY)
 
 # Some definitions
@@ -85,13 +86,12 @@
 find_package (Vala 0.34 REQUIRED)
 include (ValaPrecompile)
 
-add_definitions(-DVALA_VERSION="${VALA_SHORTVER}")
 #add_definitions(-w) #Suppress all GCC warnings
 add_definitions(-Wall -Wextra
                 -Wno-unused
                 -Wno-unused-parameter# Vala loves to create variables
                #-pedantic
-                -Wno-ignored-qualifiers
+                -Wno-discarded-qualifiers
                 -Wno-incompatible-pointer-types
                 -Wno-missing-field-initializers
                 -Wno-sign-compare
@@ -106,10 +106,7 @@
   glib-2.0
   gio-2.0
   gio-unix-2.0
-  gmodule-2.0
-  gio-addons-2.0
-  posix)
-
+  gmodule-2.0)
 
 ADD_SUBDIRECTORY(po)
 ADD_SUBDIRECTORY(util)

=== debian/changelog ===
vala-panel (0.4.89-1~mx19+1) mx; urgency=medium

  * 4.91 FTBFS for MX Linux--try this older version.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 Nov 2019 13:41:48 -0800

vala-panel (0.4.91+dfsg1-2) unstable; urgency=medium

  [ Chris Lamb ]
  * debian/patches:
    + Add 1001_not-buildpath-in-generated-files.patch. Don't use the absolute
      build path in the comments .h files generated my glib-mkenums. (Closes:
      #940639). Makes build of vala-panel reproducible.

  [ Mike Gabriel ]
  * debian/control:
    + Drop B-D on cmake-vala. Not needed anymore since switch to meson.
  * debian/rules:
    + Drop CMAKE_ specific build variables.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 Sep 2019 13:27:45 +0200

vala-panel (0.4.91+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,rules}:
    + Switch to 'meson' build-system.
  * debian/control:
    + Drop libpeas-dev from B-D. Not needed since 0.4.50 anymore. (Closes:
      #925382).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/rules:
    + Remove documentation files dh_install'ed to the wrong location.
    + Move appdata .xml file to its correct location."

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 06 Aug 2019 23:20:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: vala-panel
 Section: x11
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: cmake (>= 2.8.0),
-               cmake-vala,
+Build-Depends: meson (>= 0.49.0),
                debhelper (>= 11~),
                docbook-to-man,
                libgtk-3-dev (>= 3.22.0),
-               libpeas-dev (>= 1.2.0),
                libwnck-3-dev (>= 3.4.0),
                valac (>= 0.34.0),
 Standards-Version: 4.3.0

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 VER_MINOR = $(shell echo $(VER) | cut -d "." -f2)
 VER_PATCH = $(shell echo $(VER) | cut -d "." -f3)
 
-DHFLAGS=--buildsystem=cmake
+DHFLAGS=--buildsystem=meson
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/buildflags.mk
 
@@ -27,8 +27,6 @@
 	    -e 's/@VERSION_PATCH@/$(VER_PATCH)/'	\
 	   $(CURDIR)/cmake/FallbackVersion.cmake.in > $(CURDIR)/cmake/FallbackVersion.cmake
 	dh_auto_configure $(DHFLAGS) -- \
-		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DGSETTINGS_COMPILE=OFF \
 		-DENABLE_WNCK=ON
 
@@ -38,9 +36,21 @@
 override_dh_missing:
 	dh_missing --fail-missing
 
+override_dh_install:
+	rm debian/tmp/usr/share/vala-panel/doc/LICENSE
+	rm debian/tmp/usr/share/vala-panel/doc/README.md
+	rmdir debian/tmp/usr/share/vala-panel/doc/
+	mkdir debian/tmp/usr/share/metainfo/
+	mv debian/tmp/usr/share/appdata/*.xml debian/tmp/usr/share/metainfo/
+	rmdir debian/tmp/usr/share/appdata/
+	dh_install
+
 override_dh_clean:
 	rm -f $(CURDIR)/cmake/FallbackVersion.cmake
 	dh_clean
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
 	@

## vala-panel 0.4.91+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -88,6 +88,7 @@
 
 #add_definitions(-w) #Suppress all GCC warnings
 add_definitions(-Wall -Wextra
+                -Wunused-function
                 -Wno-unused
                 -Wno-unused-parameter# Vala loves to create variables
                #-pedantic

=== meson_options.txt ===
option('drawing', type: 'boolean', value: true, description: 'Enables drawing plugins, like CPU Graph plot')
option('wnck', type: 'feature', value: 'auto', description: 'Enables wnck-related plugins, like taskbar and pager')

=== applets/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/util ${CMAKE_SOURCE_DIR}/ui ${CMAKE_BINARY_DIR}/ui ${CMAKE_SOURCE_DIR}/util/gtk ${CMAKE_BINARY_DIR})
add_subdirectory(core)
add_feature_info(CoreApplets ON "ValaPanel core applets (clock,menumodel,launchbar,separator)")
add_subdirectory(wnck)

=== runner/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,11 @@
 INCLUDE(GLibProgramHandlers)
 set(RUNNER_SOURCES
-	runner.c
-	runner.h
-        runner-app.c
-        runner-app.h
+    info-data.c
+    info-data.h
+    runner.c
+    runner.h
+    runner-app.c
+    runner-app.h
 	)
 add_definitions(-DG_SETTINGS_ENABLE_BACKEND)
 glib_compile_resources(GLIB_RESOURCES_APP

=== ui/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
     panel-platform.h
     toplevel.h
     toplevel-config.h
-    applet-plugin.h
     applet-info.h
     panel-layout.h
     ${ENUMSH})
@@ -23,7 +22,6 @@
     panel-platform.c
     applet-widget.c
     toplevel.c
-    applet-plugin.c
     applet-info.c
     applet-manager.c
     panel-layout.c

=== util/CMakeLists.txt ===
--- 
+++ 
@@ -3,16 +3,12 @@
     glistmodel-filter.h
     constants.h
     misc.h
-    info-data.h
-    launcher.h
     util.h
     )
 set(UTIL_SOURCES
     boxed-wrapper.c
     glistmodel-filter.c
-    misc.c
-    info-data.c
-    launcher.c)
+    misc.c)
 
 #####
 # Core Library

=== applets/core/CMakeLists.txt ===
add_subdirectory(kbled)
add_subdirectory(separator)
add_subdirectory(menumodel)
add_subdirectory(clock)
add_subdirectory(dirmenu)
add_subdirectory(launchbar)

option(ENABLE_DRAWING "Enables drawing plugins, like CPU Graph plot" ON)

if (ENABLE_DRAWING)
    add_subdirectory(cpu)
    add_subdirectory(monitors)
    add_subdirectory(netmon)
endif()

=== applets/wnck/CMakeLists.txt ===
include(CMakeDependentOption)
find_package(WNCK 3.4.8)
find_package(X11 COMPONENTS X11 Xcomposite Xdamage Xrender Xfixes)
cmake_dependent_option(ENABLE_WNCK "Enables wnck-related plugins, like taskbar and pager" ON
    "WNCK_FOUND;X11_FOUND" OFF)

if (ENABLE_WNCK)
    add_subdirectory(tasklist)
    add_subdirectory(pager)
    add_subdirectory(deskno)
    add_subdirectory(wincmd)
    add_subdirectory(buttons)
endif()


add_feature_info(WnckApplets ENABLE_WNCK "ValaPanel libwnck applets (tasklists,pager)")

=== data/gschemas/CMakeLists.txt ===
include(GLibProgramHandlers)
add_schema("org.valapanel.gschema.xml" "bin")
add_schema("org.valapanel.toplevel.gschema.xml" "bin")
add_schema("org.valapanel.builtin.gschema.xml" "plugins-base")
if (ENABLE_WNCK)
    add_schema("org.valapanel.X.gschema.xml" "plugins-wnck")
endif()
if (ENABLE_DRAWING)
    add_schema("org.valapanel.plugins.gschema.xml" "plugins-base")
endif()

=== data/images/CMakeLists.txt ===
install(FILES panel.svg DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps RENAME vala-panel.svg COMPONENT bin)
install(FILES background.png DESTINATION ${DATADIR}/images COMPONENT bin)

=== data/profiles/CMakeLists.txt ===
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/default.in ${CMAKE_CURRENT_BINARY_DIR}/default)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/default DESTINATION ${PROFILES_DIR} COMPONENT bin)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/appmenu DESTINATION ${PROFILES_DIR} COMPONENT bin)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/two_panels DESTINATION ${PROFILES_DIR} COMPONENT bin)

=== util/gtk/CMakeLists.txt ===
set(ENUM_FILES
        generic-config-dialog.h
        )
add_glib_enumtypes(ENUMSC ENUMSH vala-panel-util-enums ${ENUM_FILES})
set(UTIL_GTK_HEADERS
    css.h
    util-gtk.h
	misc-gtk.h
    generic-config-dialog.h
    menu-maker.h
    launcher-gtk.h
	${ENUMSH}
    )
set(UTIL_GTK_SOURCES
    generic-config-dialog.c
    menu-maker.c
	misc-gtk.c
    css.c
    launcher-gtk.c
	${ENUMSC}
	)
add_library (util-gtk STATIC
    ${UTIL_GTK_SOURCES}
    ${UTIL_GTK_HEADERS}
    ${GLIB_RESOURCES_LIB}
)
set_property(TARGET util-gtk PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries (util-gtk util GTK3::GTK GTK3::GDK)
target_include_directories(util-gtk PRIVATE ${CMAKE_CURRENT_SOURCE_DIR} ${CORE_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}/util ${CMAKE_SOURCE_DIR}/util)

set_target_properties (util-gtk PROPERTIES
    VERSION ${VERSION}
    SOVERSION ${SOVERSION}
    POSITION_INDEPENDENT_CODE ON)

install (FILES ${UTIL_GTK_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/vala-panel/ COMPONENT dev)

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: vala-panel
 Section: x11
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
  Martin Wimpress <martin.wimpress@ubuntu.com>,

=== debian/rules ===
--- 
+++ 
@@ -49,9 +49,6 @@
 	rm -f $(CURDIR)/cmake/FallbackVersion.cmake
 	dh_clean
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
 	@

## vala-panel 0.4.92+dfsg1

=== debian/changelog ===
vala-panel (0.4.92+dfsg1-1) unstable; urgency=medium

  * New upstream release. (Closes: #951978).
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/control:
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/copyright:
    + Don't mention LICENSE file in copyright.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Apr 2020 22:08:52 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: meson (>= 0.49.0),
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                docbook-to-man,
                libgtk-3-dev (>= 3.22.0),
                libwnck-3-dev (>= 3.4.0),
                valac (>= 0.34.0),
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/rilian-la-te/vala-panel
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/vala-panel.git
 Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/vala-panel

## vala-panel 0.5.0

=== meson_options.txt ===
option('drawing', type: 'boolean', value: true, description: 'Enables drawing plugins, like CPU Graph plot')
option('wnck', type: 'feature', value: 'auto', description: 'Enables wnck-related plugins, like taskbar and pager')
option('platforms', type: 'array', choices: ['x11','layer-shell','auto'], value: ['auto'], description: 'Platforms for vala-panel')

=== debian/changelog ===
vala-panel (0.5.0-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:21:14 +1100

vala-panel (0.5.0-2build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:47:33 +0000

vala-panel (0.5.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:55:18 +0000

vala-panel (0.5.0-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_LINGUAS-remove-a-duplicate-entry.patch. Fix FTBFS due to
      duplicate language entry. (Closes: #998522).
  * debian/rules:
    + Drop superfluous overrides.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 29 Nov 2021 14:41:46 +0100

vala-panel (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/{changelog,rules,watch,copyright}:
    + Don't repack orig tarball anymore. Reason for repacking not given anymore.
  * debian/patches:
    + Drop 2001_no-GitVersion-for-Debian-packaging.patch. Now obsolete due to
      switch over from cmake to meson.
  * debian/rules:
    + Drop cmake FallbackVersion tweaking.
    + Drop project-specific configure options. Defaults set in
      meson_options.txt should be fine.
  * debian/control:
    + Add B-D: libgtk-layer-shell-dev.
    + Update versioned B-D: meson (>= 0.51.0).
    + Add versioned B-D: libglib2.0-dev (>= 2.52).
    + Bump DH compat level to version 13.
  * debian/libvalapanel0.symbols:
    + Update for release 0.5.0.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 19 Oct 2020 12:09:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,21 @@
 Source: vala-panel
 Section: x11
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Debian+Ubuntu MATE Packaging Team <debian-mate@lists.debian.org>,
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: meson (>= 0.49.0),
-               debhelper-compat (= 12),
+Build-Depends: meson (>= 0.51.0),
+               debhelper-compat (= 13),
                docbook-to-man,
+               libglib2.0-dev (>= 2.52),
                libgtk-3-dev (>= 3.22.0),
+               libgtk-layer-shell-dev,
                libwnck-3-dev (>= 3.4.0),
                valac (>= 0.34.0),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/rilian-la-te/vala-panel
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/vala-panel.git

=== debian/watch ===
version=4
https://gitlab.com/vala-panel-project/vala-panel/tags .*/vala-panel-(\d\S+)\.tar\.gz
